<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [purchaseTixApi](./bitburner.stock.purchasetixapi.md)

## Stock.purchaseTixApi() method

Purchase TIX API access.

You need to have TIX API access to perform actions via NS APIs. Note that you can buy TIX API access without a WSE account.

**Signature:**

```typescript
purchaseTixApi(): boolean;
```
**Returns:**

boolean

True if you successfully purchased it or if you already have access, false otherwise.

## Remarks

RAM cost: 2.5 GB

